# Aberdeen Plus WordPress Theme
Contributors: Steven Kellow  
Requires at least: 4.0  
Tested up to: 4.4  
Stable tag: 1.5
License: GPLv2 or later  
License URI: http://www.gnu.org/licenses/gpl-2.0.html  

Aberdeen is a simple, clean and responsive WordPress theme designed to make your content look great on all devices.

The theme features:

  - A minimalistic layout that allows for easy customisation
  - Responsive design so your site looks good on all devices - desktop, mobile and tablet
  - A theme options panel that gives you loads of customisation options for the site layout
  - 10 vibrant pre-made colour schemes to choose from
  - Custom homepage featuring category listings, recent posts or both
  - Full-width post and page variants to showcase your content better
  - Minimised CSS and JS files so your site loads faster
  - A sticky navigation bar so users can find their way round your site easily
  - Native WooCommerce integration so you can start selling straight away
  - Font Awesome icons that make your content look stylish
  - Custom social media sharing icons so your users can share far and wide!

### Supports
 - [WooCommerce](https://en-gb.wordpress.org/plugins/woocommerce/) support included
 - Contains support for Jetpack's infinite scroll
 - [BBPress](https://bbpress.org/)
 - [WooThemes Sensei](https://www.woothemes.com/products/sensei/)
 
We recommend the following plugins (with CSS styling already included!)
 - [Yet Another Related Posts Plugin](https://wordpress.org/plugins/yet-another-related-posts-plugin/)
 - [Ninja Forms](https://en-gb.wordpress.org/plugins/ninja-forms/)

### Credits

 - Theme built by [Steven Kellow](http://www.stevenkellow.com) (C) 2016
 - Based on [Underscores](http://underscores.me/), (C) 2012-2016 Automattic, Inc., [GPLv2 or later](https://www.gnu.org/licenses/gpl-2.0.html)
 - Theme update functionality by [Janis Elsts](http://w-shadow.com/)
 - Theme options courtesy of [Redux Framework](https://reduxframework.com/)
 - [normalize.css](http://necolas.github.io/normalize.css/), (C) 2012-2016 Nicolas Gallagher and Jonathan Neal, [MIT](http://opensource.org/licenses/MIT)
 - [Font Awesome](http://fontawesome.io) by Dave Gandy, [SIL Open Font License](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL)

### Installation

1. Download from either WordPress.org, Github, or Stevenkellow.com.
2. In your admin panel, go to Appearance > Themes and click the Add New button.
3. Click Upload and Choose File, then select the theme's .zip file. Click Install Now.
4. Click Activate to use your new theme right away.
5. Make sure to install the Redux Framework plugin to get your theme options!

### Changelog

#### v1.5 - 26th January 2015
- Feature: Static front page support [Plus only]
	- Recent posts
	- Categories
- Feature: WooThemes Sensei support [Plus only]
- Feature: BBPress support [Plus only]
- Tweak: Enhanced support for Jetpack infinite scroll
- Tweak: Option to limit archive length in sidebar
- Tweak: Option for homepage excerpt display [Plus only]
- Tweak: Updated ReduxFramework (3.5.8.12 -> 3.5.9)
- Tweak: Better background display [Plus only]
- Fix: Better sticky nav display for admins
- Fix: Better comment bubble display for higher comment counts
- Fix: Added nofollow attributes to social sharing links
- Fix: CSS fixes

#### v1.4 - 4th January 2015
- Feature: Full-width posts and pages option
- Tweak: Social share counts alongside icons [Plus only]
- Tweak: Added option for visited link color [Plus only]
- Tweak: Updated ReduxFramework (3.5.8.10 -> 3.5.8.12) [Plus only]
- Tweak: Made trackbacks into template part
- Tweak: Made options for breadcrumb seperator [Plus only]
- Tweak: Option to hide title on static homepage [Plus only]
- Tweak: Re-organised theme options [Plus only]
- Fix: Printing share made optional [Plus only]

##### v1.3.2 - 29th December 2015
- Tweak: Changes home/search/archive content display
- Tweak: Moved sharing icons on pages
- Tweak: Added trackback display to posts/pages
- Fix: CSS Changes (Search field, backgrounds, headers, moretag, comments, body)
- Fix: Read more tag display improved
- Fix: URL error in header [Plus only]
- Fix: Fixed next/previous post navigation

##### v1.3.1 - 18th December 2015
- Fix: Added titles to more theme elements
- Fix: Better display of images on home, archive and search pages (overflow issues fixed)
- Fix: Better display of YARPP Related Posts on entries
- Fix: Cleaner code for page templates to improve load times
- Fix: CSS Fixes (iframes)

#### v1.3 - 14th December 2015

- Feature: Choose footer display options [Plus only]
- Tweak: Sharing options on WooCommerce products [Plus only]
- Tweak: Sharing options on pages (w/ Theme options)
- Tweak: Moved sharing options in footer
- Tweak: Added comment count option to entry meta (w/ Theme options for other entry meta)
- Tweak: Added author box option to post footer [Plus only]
- Tweak: Options for categories in post footer [Plus only]
- Tweak: Changed read more option for archive exerpts
- Fix: Added link to homepage for site-logo [Plus only]
- Fix: Uses WordPress defined dates and times in theme
- Fix: Cleaner display of featured images
- Fix: Cleaner script enqueuing
- Fix: CSS Changes (Subtitle, WooCommerce)

##### v1.2.3 - 10th December 2015
- Feature: Logo alignment choice [Plus only]
- Fix: Adds caption to featured images
- Fix: CSS changes (Site logo, Tables, Mobile)

##### v1.2.2 - 1st December 2015
- Tweak: Sticky nav bar snapping improved
- Tweak: CSS improvements for WooCommerce and mobile [Plus only]
- Fix: Mobile menu styles and toggle
- Fix: Properly titled theme files
- Fix: Better site logo display (w/ SEO improvement)

##### v1.2.1 - 29th November 2015
* WordPress 4.4 compatible *
- Tweak: Upgraded FontAwesome (4.4 -> 4.5)
- Tweak: Added reddit and Pocket social media icons
- Tweak: Upgraded Redux Framework (3.5.8.1 -> 3.5.8.10) [Plus only]
- Fix: Cleaned up theme functions
- Fix: Made theme more available for translations

#### v1.2 - 18th November 2015
- Feature: Theme updating functionality
- Feature: Custom header support
- Tweak: Added header text color change option [Plus only]
- Fix: Custom color scheme support fixed [Plus only]

###### v1.1.1 - 16th November 2015

- Tweak: Added RSS feed to author-box
- Tweak: Adds custom editor style for WordPress editing
- Fix: Improved mobile rendering of sidebar, menus, tables and list
- Fix: Added subtitle to main pages

##### v1.1 - 14th November 2015
- Feature: Subtitle box for posts
- Feature: Choose sidebar side
- Tweak: WooCommerce cart information added to nav bar (w/ theme options)
- Tweak: Simplified social media header and sanitised URLs for more secure performance
- Tweak: Multiple CSS tweaks
- Tweak: Added e-mail to author box
- Fix: Redux Framework notices simplified and showing correctly
- Fix: Better and more reliable handling of WooCommerce pages

##### Version 1 - 7th November 2015
- Initial version
  - Redux Framework theme options panel v. 3.5.8.1
  - WooCommerce integration
  - Sticky nav bar
  - Font Awesome icons v. 4.4.0
  - Custom social sharing icons

### Contact

Get in touch with the developer at www.stevenkellow.com/contact-me