<?php





    /**


     * For full documentation, please visit: http://docs.reduxframework.com/


     * For a more extensive sample-config file, you may look at:


     * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php


     */





    if ( ! class_exists( 'Redux' ) ) {


        return;


    }





    // This is your option name where all the Redux data is stored.


    $opt_name = "redux_builder_stevenkellow";





    /**


     * ---> SET ARGUMENTS


     * All the possible arguments for Redux.


     * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments


     * */





    $theme = wp_get_theme(); // For use with some settings. Not necessary.





    $args = array(


        'opt_name' => 'redux_builder_stevenkellow',


        'use_cdn' => FALSE,


        'page_title' => 'Sample Options',


        'update_notice' => TRUE,


        'admin_bar' => TRUE,


        'menu_type' => 'menu',


        'menu_title' => 'Sample Options',


        'allow_sub_menu' => TRUE,


        'page_parent_post_type' => 'your_post_type',


        'customizer' => TRUE,


        'default_mark' => '*',


        'hints' => array(


            'icon_position' => 'right',


            'icon_color' => 'lightgray',


            'icon_size' => 'normal',


            'tip_style' => array(


                'color' => 'light',


            ),


            'tip_position' => array(


                'my' => 'top left',


                'at' => 'bottom right',


            ),


            'tip_effect' => array(


                'show' => array(


                    'duration' => '500',


                    'event' => 'mouseover',


                ),


                'hide' => array(


                    'duration' => '500',


                    'event' => 'mouseleave unfocus',


                ),


            ),


        ),


        'output' => TRUE,


        'output_tag' => TRUE,


        'settings_api' => TRUE,


        'cdn_check_time' => '1440',


        'compiler' => TRUE,


        'page_permissions' => 'manage_options',


        'save_defaults' => FALSE,


        'show_import_export' => TRUE,


        'database' => 'options',


        'transient_time' => '3600',


        'network_sites' => TRUE,


        'customizer_only' => TRUE,


    );





    // SOCIAL ICONS -> Setup custom links in the footer for quick links in your panel footer icons.


    $args['share_icons'][] = array(


        'url'   => 'https://github.com/ReduxFramework/ReduxFramework',


        'title' => 'Visit us on GitHub',


        'icon'  => 'el el-github'


        //'img'   => '', // You can use icon OR img. IMG needs to be a full URL.


    );


    $args['share_icons'][] = array(


        'url'   => 'https://www.facebook.com/pages/Redux-Framework/243141545850368',


        'title' => 'Like us on Facebook',


        'icon'  => 'el el-facebook'


    );


    $args['share_icons'][] = array(


        'url'   => 'http://twitter.com/reduxframework',


        'title' => 'Follow us on Twitter',


        'icon'  => 'el el-twitter'


    );


    $args['share_icons'][] = array(


        'url'   => 'http://www.linkedin.com/company/redux-framework',


        'title' => 'Find us on LinkedIn',


        'icon'  => 'el el-linkedin'


    );





    Redux::setArgs( $opt_name, $args );





    /*


     * ---> END ARGUMENTS


     */





    /*


     * ---> START HELP TABS


     */





    $tabs = array(


        array(


            'id'      => 'redux-help-tab-1',


            'title'   => __( 'Theme Information 1', 'aberdeen' ),


            'content' => __( '<p>This is the tab content, HTML is allowed.</p>', 'aberdeen' )


        ),


        array(


            'id'      => 'redux-help-tab-2',


            'title'   => __( 'Theme Information 2', 'aberdeen' ),


            'content' => __( '<p>This is the tab content, HTML is allowed.</p>', 'aberdeen' )


        )


    );


    Redux::setHelpTab( $opt_name, $tabs );





    // Set the help sidebar


    $content = __( '<p>This is the sidebar content, HTML is allowed.</p>', 'aberdeen' );


    Redux::setHelpSidebar( $opt_name, $content );








    /*


     * <--- END HELP TABS


     */








    /*


     *


     * ---> START SECTIONS


     *


     */





    Redux::setSection( $opt_name, array(


        'title'  => __( 'Basic Field', 'aberdeen' ),


        'id'     => 'basic',


        'desc'   => __( 'Basic field with no subsections.', 'aberdeen' ),


        'icon'   => 'el el-home',


        'fields' => array(


            array(


                'id'       => 'opt-text',


                'type'     => 'text',


                'title'    => __( 'Example Text', 'aberdeen' ),


                'desc'     => __( 'Example description.', 'aberdeen' ),


                'subtitle' => __( 'Example subtitle.', 'aberdeen' ),


            )


        )


    ) );





    Redux::setSection( $opt_name, array(


        'title' => __( 'Basic Fields', 'aberdeen' ),


        'id'    => 'basic',


        'desc'  => __( 'Basic fields as subsections.', 'aberdeen' ),


        'icon'  => 'el el-home'


    ) );





    Redux::setSection( $opt_name, array(


        'title'      => __( 'Text', 'aberdeen' ),


        'desc'       => __( 'For full documentation on this field, visit: ', 'aberdeen' ) . '<a href="http://docs.reduxframework.com/core/fields/text/" target="_blank">http://docs.reduxframework.com/core/fields/text/</a>',


        'id'         => 'opt-text-subsection',


        'subsection' => true,


        'fields'     => array(


            array(


                'id'       => 'text-example',


                'type'     => 'text',


                'title'    => __( 'Text Field', 'aberdeen' ),


                'subtitle' => __( 'Subtitle', 'aberdeen' ),


                'desc'     => __( 'Field Description', 'aberdeen' ),


                'default'  => 'Default Text',


            ),


        )


    ) );





    Redux::setSection( $opt_name, array(


        'title'      => __( 'Text Area', 'aberdeen' ),


        'desc'       => __( 'For full documentation on this field, visit: ', 'aberdeen' ) . '<a href="http://docs.reduxframework.com/core/fields/textarea/" target="_blank">http://docs.reduxframework.com/core/fields/textarea/</a>',


        'id'         => 'opt-textarea-subsection',


        'subsection' => true,


        'fields'     => array(


            array(


                'id'       => 'textarea-example',


                'type'     => 'textarea',


                'title'    => __( 'Text Area Field', 'aberdeen' ),


                'subtitle' => __( 'Subtitle', 'aberdeen' ),


                'desc'     => __( 'Field Description', 'aberdeen' ),


                'default'  => 'Default Text',


            ),


        )


    ) );





    /*


     * <--- END SECTIONS


     */


