<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
		<?php if ( have_posts() ) : ?>
			<header class="page-header">
				<h1 class="page-title">
				<?php 

				if ( is_category() ){
					echo single_cat_title( '<i class="fa fa-archive"></i>&nbsp;' );
				}

				if ( is_tag() ){
					echo single_tag_title( '<i class="fa fa-tags"></i>&nbsp;' );
				}

				if ( is_date() ){
					echo '<i class="fa fa-calendar"></i>&nbsp;' . get_the_date( 'F Y' );
				}

				?>
				</h1>
				<?php
				if ( is_author() ){
					get_template_part( 'template-parts/author-box' );
				}
				
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
			</header><!-- .page-header -->

			<?php while ( have_posts() ) : the_post();
					get_template_part( 'template-parts/content', get_post_format() );
				endwhile; ?>
			
			<div class="nav-previous alignright"><?php next_posts_link( __( 'Older Posts <i class="fa fa-arrow-right fa-3x"></i>', 'aberdeen' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( '<i class="fa fa-arrow-left fa-3x"></i> Newer Posts', 'aberdeen' ) ); ?></div>
		<?php else :
			get_template_part( 'template-parts/content', 'none' ); 
			endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php	get_sidebar();
		get_footer(); ?>


