<?php
/**
 * The home page template file
 * 
 * This displays recent blog posts on the front page or the blog page as set in Settings -> Reading.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */
global $theme_options; 

get_header(); 
	
	if ( $theme_options['show-homepage-sidebar'] == true ){ ?>
	<div id="primary" class="content-area">
	<?php } else { ?>
	<div id="primary" class="content-area-homepage">
	<?php } ?>
		<main id="main" class="site-main" role="main">
		<?php if ( have_posts() ) : ?>
			<?php if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h2 class="page-title screen-reader-text"><?php single_post_title(); ?></h2>
				</header>
			<?php endif;
			while ( have_posts() ) : the_post();
				get_template_part( 'template-parts/content', 'home' );
			endwhile; ?>
			<div class="nav-previous alignright"><?php next_posts_link( __( '<span class="nav-right">Older Posts</span><i class="fa fa-arrow-right fa-3x"></i>', 'aberdeen' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( '<i class="fa fa-arrow-left fa-3x"></i><span class="nav-left">Newer Posts</span>', 'aberdeen' ) ); ?></div>
		<?php
		else :
			get_template_part( 'template-parts/content', 'none' );		
		endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php if ( $theme_options['show-homepage-sidebar'] == true ){
	get_sidebar();
	}
	get_footer(); ?>
