<?php
/**
*
* Powers the social share counts for the sharing icons
*
* @package Aberdeen
*
*/

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Facebook
function get_facebook_shares($postid, $posturl){
	
	if ( false === get_transient('facebook_transient' . $postid) ){ // Gets data if transient not set for this post
	$facebook_url_xml = simplexml_load_file('https://api.facebook.com/method/fql.query?query=select%20%20like_count%20from%20link_stat%20where%20url=%22' . $posturl . '%22');
	$facebook_xml = $facebook_url_xml->link_stat[0];
	$facebook_level = $facebook_xml->like_count[0];
	
	$facebook_transient = intval($facebook_level);
	
	set_transient( 'facebook_transient' . $postid, $facebook_transient, 12 * HOUR_IN_SECONDS ); // Sets new transient
	}
	
	$facebook_count = get_transient('facebook_transient' . $postid);  // Gets transient
	
	if ($facebook_count < 1){ // Returns count if there are any likes/shares
		return false;
	} else {
		return $facebook_count;
	}
}

// Google Plus
function get_google_plus_shares($postid, $posturl){

	if ( false === get_transient('google_transient' . $postid) ){
	$curl = curl_init();
        curl_setopt( $curl, CURLOPT_URL, "https://clients6.google.com/rpc" );
        curl_setopt( $curl, CURLOPT_POST, 1 );
        curl_setopt( $curl, CURLOPT_POSTFIELDS, '[{"method":"pos.plusones.get","id":"p","params":{"nolog":true,"id":' . $posturl . ',"source":"widget","userId":"@viewer","groupId":"@self"},"jsonrpc":"2.0","key":"p","apiVersion":"v1"}]' );
        curl_setopt( $curl, CURLOPT_RETURNTRANSFER, true );
        curl_setopt( $curl, CURLOPT_HTTPHEADER, array( 'Content-type: application/json' ) );
        $curl_results = curl_exec( $curl );
        curl_close( $curl );
        $json = json_decode( $curl_results, true );

	$google_transient = intval( $json[0]['result']['metadata']['globalCounts']['count'] );
	
	set_transient( 'google_transient' . $postid, $google_transient, 12 * HOUR_IN_SECONDS );
	}
	
	$google_count = get_transient('google_transient' . $postid);
	
	if ($google_count < 1){
		return false;
	} else {
		return $google_count;
	}
}

// LinkedIn
function get_linkedin_shares($postid, $posturl){
	
	if ( false === get_transient('linkedin_transient' . $postid) ){
	$linkedin_url_json = file_get_contents('https://www.linkedin.com/countserv/count/share?url=' . $posturl . '&format=json');
	$linkedin_json = json_decode($linkedin_url_json, true);
	
	$linkedin_transient = intval($linkedin_json['count']);
	
	set_transient( 'linkedin_transient' . $postid, $linkedin_transient, 12 * HOUR_IN_SECONDS );
	}
	
	$linkedin_count = get_transient('linkedin_transient' . $postid);
	
	if ($linkedin_count < 1){
		return false;
	} else {
		return $linkedin_count;
	}
}

// Reddit
function get_reddit_shares($postid, $posturl){ // Gets total reddit score for each time link shared
	
	if ( false === get_transient('reddit_transient' . $postid) ){
	$reddit_url_json = file_get_contents('https://www.reddit.com/api/info.json?url=' . $posturl);
	$reddit_json = json_decode($reddit_url_json, true);
	foreach($reddit_json['data']['children'] as $child) {
		$reddit_score+= (int) $child['data']['score'];
	}
	
	$reddit_transient = $reddit_score;
	
	set_transient( 'reddit_transient' . $postid, $reddit_transient, 12 * HOUR_IN_SECONDS );
	}
	
	$reddit_count = get_transient('reddit_transient' . $postid);
	
	if ($reddit_count < 1){
		return false;
	} else {
		return $reddit_count;
	}
}

// Tumblr
function get_tumblr_shares($postid, $posturl){ // Gets total number of notes for the link
	
	if ( false === get_transient('tumblr_transient' . $postid) ){
	$tumblr_url_json = file_get_contents('http://api.tumblr.com/v2/share/stats?url=' . $posturl);
	$tumblr_json = json_decode($tumblr_url_json, true);
	$tumblr_level = $tumblr_json['response'];
	
	$tumblr_transient = intval($tumblr_level['note_count']);
	
	set_transient( 'tumblr_transient' . $postid, $tumblr_transient, 12 * HOUR_IN_SECONDS );
	}
	
	$tumblr_count = get_transient('tumblr_transient' . $postid);
	
	if ($tumblr_count < 1){
		return false;
	} else {
		return $tumblr_count;
	}
}

// Twitter
function get_twitter_shares($postid, $posturl){
	
	if ( false === get_transient('tumblr_transient' . $postid) ){
	$twitter_url_json = file_get_contents('http://public.newsharecounts.com/count.json?url=' . $posturl);
	$twitter_json = json_decode($twitter_url_json, true);
	
	$twitter_transient = intval($twitter_json['count']);
	
	set_transient( 'twitter_transient' . $postid, $twitter_transient, 12 * HOUR_IN_SECONDS );
	}
	
	$twitter_count = get_transient('twitter_transient' . $postid);
	
	if ($twitter_count < 1){
		return false;
	} else {
		return $twitter_count;
	}
}
