<?php
/*
* Adds social media profile links to back-end of WordPress and saves
*
* @package Aberdeen
*
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
add_action( 'show_user_profile', 'extra_profile_fields' );
add_action( 'edit_user_profile', 'extra_profile_fields' );

function extra_profile_fields( $user ) { ?>

	<h3>Social Media Links</h3>

	<table class="form-table">
		
		<tr>
			<th><label for="facebook">Facebook</label></th>

			<td>
				<input type="text" name="facebook" id="facebook" value="<?php echo esc_attr( get_the_author_meta( 'facebook', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter the link to your Facebook profile.</span>
			</td>
		</tr>
		<tr>
			<th><label for="twitter">Twitter</label></th>

			<td>
				<input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter the link to your Twitter profile.</span>
			</td>
		</tr>
		<tr>
			<th><label for="google-plus">Google+</label></th>

			<td>
				<input type="text" name="google-plus" id="google-plus" value="<?php echo esc_attr( get_the_author_meta( 'google-plus', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter the link to your Google+ profile.</span>
			</td>
		</tr>
		<tr>
			<th><label for="linkedin">LinkedIn</label></th>

			<td>
				<input type="text" name="linkedin" id="linkedin" value="<?php echo esc_attr( get_the_author_meta( 'linkedin', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter the link to your LinkedIn profile.</span>
			</td>
		</tr>
		<tr>
			<th><label for="reddit">reddit</label></th>

			<td>
				<input type="text" name="reddit" id="reddit" value="<?php echo esc_attr( get_the_author_meta( 'reddit', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter the full link to your reddit subreddit or user profile</span>
			</td>
		</tr>
		<tr>
			<th><label for="email">E-mail</label></th>

			<td>
				<input type="text" name="email id="email" value="<?php echo esc_attr( get_the_author_meta( 'email', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter your contact e-mail address.</span>
			</td>
		</tr>

	</table>
<?php }

add_action( 'personal_options_update', 'save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'save_extra_profile_fields' );

function save_extra_profile_fields( $user_id ) {

	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;

	update_user_meta( $user_id, 'facebook', $_POST['facebook'] );
	update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
	update_user_meta( $user_id, 'google-plus', $_POST['google-plus'] );
	update_user_meta( $user_id, 'linkedin', $_POST['linkedin'] );
	update_user_meta( $user_id, 'reddit', $_POST['reddit'] );
	update_user_meta( $user_id, 'email', $_POST['email'] );
}