<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */
global $theme_options;
get_header(); ?>
	<?php
		// Checks for post width
		$post_width = get_post_meta ($post->ID, 'width', true );
		// Checks for WooCommerce
		if ( ( (in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) && ( is_cart() ||  is_checkout() || is_account_page() || is_wc_endpoint_url() ) ) || ( $post_width == 'Full width') ){
			echo '<div id="primary-woocommerce" class="content-area-full">';
			} else {
			echo '<div id="primary" class="content-area">';
		}
	?>
		<main id="main" class="site-main" role="main">
			<?php while ( have_posts() ) : the_post();
				get_template_part( 'template-parts/content', 'page' );
				// Display trackbacks if any exist and we want to show them
				if ($theme_options['show-page-trackbacks'] == true){
				get_template_part( 'template-parts/trackbacks');
				}
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			endwhile; // End of the loop. ?>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php 	
		// Checks for WooCommerce
		if ( ( (in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) && ( is_cart() ||  is_checkout() || is_account_page() || is_wc_endpoint_url() ) ) || ( $post_width == 'Full width') ){ } else {
			get_sidebar();
		}
		get_footer(); ?>
