<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Aberdeen
 */
global $theme_options;
get_header();

		// Checks for post width
		$post_width = get_post_meta ($post->ID, 'width', true );
		if ( $post_width !== 'Full width' ) {
			echo '<div id="primary" class="content-area">';
		} else {
			echo '<div id="primary" class="content-area-full">';
		}
		?>
		<main id="main" class="site-main" role="main">
		<?php while ( have_posts() ) : the_post();
			get_template_part( 'template-parts/content', 'single' );
			if ( $theme_options['show-author-box'] == true ){
				get_template_part( 'template-parts/author-box' );
			}
			// Display post navigation if we want to show it
			if ( $theme_options['show-post-nav'] == true ){
			?>
			<div class="nav-previous alignright"><?php next_post_link( '%link', '<span class="nav-right">%title</span><i class="fa fa-arrow-right fa-3x"></i>'); ?></div>
			<div class="nav-next"><?php previous_post_link( '%link', '<i class="fa fa-arrow-left fa-3x"></i><span class="nav-left">%title</span>', 'aberdeen'); ?></div>
			<?php
			}
			// Display trackbacks if any exist and we want to show them
			if ($theme_options['show-post-trackbacks'] == true){
			get_template_part( 'template-parts/trackbacks');
			}
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;
		endwhile; // End of the loop. ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php	if ( $post_width !== 'Full width' ) {
			get_sidebar();
		}
		get_footer(); ?>
