<?php
// Get Author Data
$author             = get_the_author();
$author_description = get_the_author_meta( 'description' );
$author_url         = esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );
$author_avatar      = get_avatar( get_the_author_meta( 'ID' ), 100 );
$author_twitter		= get_the_author_meta( 'twitter' );
$author_facebook	= get_the_author_meta( 'facebook' );
$author_google_plus = get_the_author_meta( 'google-plus');
$author_linkedin	= get_the_author_meta( 'linkedin');
$author_email		= get_the_author_meta( 'email');
?>
    <div class="author-box">
        <h1>
		<?php if ( $author_avatar ) { ?>
			<a href="<?php echo $author_url; ?>" rel="author"><?php echo $author_avatar; ?></a>
		<?php } 
		echo $author;
		
		if ( $author_facebook ) { ?>
			<a href="<?php echo $author_facebook; ?>"><i class="fa fa-facebook"></i></a>
		<?php } 

		if ( $author_twitter ) { ?>
			<a href="https://twitter.com/<?php echo $author_twitter; ?>"><i class="fa fa-twitter"></i></a>
		<?php } 

		if ( $author_google_plus ) { ?>
			<a href="<?php echo $author_google_plus; ?>"><i class="fa fa-google-plus"></i></a>
		<?php }
		
		if ( $author_linkedin ) { ?>
			<a href="<?php echo $author_linkedin; ?>"><i class="fa fa-linkedin"></i></a>
		<?php }

		if ( $author_email && is_email($author_email) ) { ?>
			<a href="mailto:<?php echo $author_email; ?>"><i class="fa fa-envelope"></i></a>
		<?php } 
		?>
		
		<a href="<?php echo get_author_feed_link( get_the_author_id() ); ?>"><i class="fa fa-rss"></i></a>
		</h1>
		
		<div class="author-description">
			<p><?php echo $author_description; ?></p>
				<?php if( !is_author() ){ ?>
					<p><a href="<?php echo $author_url; ?>" title="<?php _e( 'View all author posts', 'aberdeen' ); ?>"><?php _e( 'View all author posts', 'aberdeen' ); ?> &rarr;</a></p>
				<?php } ?>
		</div><!-- .author-description -->
	</div><!-- .author-info -->