<?php
/**
 * Template part for displaying category listings on the front page.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */
 
$categories = get_categories();
$cat_count = 1;

// Loops to display each category
foreach($categories as $category) {

//Convert category name into html to avoid errors later
$cat_id = $category->cat_ID;

// If category is odd create a new row
if ( $cat_count % 2 != 0){ ?>
<div class="category-row">
<?php
$closed = false;
}
	
// Gets 5 most recent posts from category
$the_query = new WP_Query( array( 'cat' => $category->cat_ID, 'posts_count' => 5 ) ); 

// The Loop
if ( $the_query->have_posts() ) { ?>
	<div class="category-homepage">
	
	<h2><?php echo '<a href="' . get_category_link( $category->cat_ID ) . '">' . $category->name . '</a>';?></h2><?php
	$post_count = 1;
	while ( $the_query->have_posts() ) {
			$the_query->the_post();
			// Display lead post with thumbnail and better headline
			if ( $post_count == 1 ){
				if ( has_post_thumbnail() ) {
					echo the_post_thumbnail();
				}
				echo '<p class="category-homepage-headline"><a href="' . get_the_permalink() .'" rel="bookmark">' . get_the_title() .'</a></p>';
				echo '<li class="category-homepage-excerpt">' . get_the_excerpt() . '</li>';
			} else {
			// Echo list of rest of posts
			echo '<li><a href="' . get_the_permalink() .'" rel="bookmark">' . get_the_title() .'</a></li>';
			}
		$post_count = $post_count + 1;
		}
	} else {
	// no posts found
}
?>
</div>
<?php

/* Restore original Post Data */
wp_reset_postdata();



// If category is odd, close the row
if ( $cat_count % 2 == 0 ){ ?>
</div>
<?php
$closed = true;
}

// Increment category count
$cat_count = $cat_count + 1;
}