<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<?php // Checks for subtitle
		$subtitle = get_post_meta ($post->ID, 'subtitle', true );
		if ( $subtitle != '' ) {
			echo '<h2 class="subtitle">' . $subtitle . '</h2>';
		}
		
		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php get_template_part( 'template-parts/entry-meta'); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->
	<div class="archive-thumbnail">
		<?php
		if ( has_post_thumbnail() ) { ?>
			<a href="<?php the_permalink(); ?>">
			<?php the_post_thumbnail('medium'); ?>
		</a>
	<?php } ?>
	</div>
	<div class="entry-summary">
		<?php
		// Check the content for the more text
		$ismore = @strpos( $post->post_content, '<!--more-->');
		// If there's a match
		if($ismore) : the_content();
		// Else no more tag exists
		else : the_excerpt();
		// End if more
		endif;
	 // Paragraph below so that featured images don't overflow! ?>
	<p style="clear:both;"></p>
	</div><!-- .entry-summary -->
</article><!-- #post-## -->

