<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */
global $theme_options;
?>
<?php if ( $theme_options['show-breadcrumbs-single'] == true ): ?>
<?php custom_breadcrumbs(); ?>
<?php endif; ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<?php // Checks for subtitle
		$subtitle = get_post_meta ($post->ID, 'subtitle', true );
		if ( $subtitle != '' ) {
			echo '<h2 class="subtitle">' . $subtitle . '</h2>';
		}
		?>
		<div class="entry-meta">
			<?php get_template_part( 'template-parts/entry-meta'); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php // Handles featured image if it exists
		if ( has_post_thumbnail() ) { ?>
		<div class="featured-image">
		<?php
		the_post_thumbnail();
		echo get_post(get_post_thumbnail_id())->post_excerpt;
		?></div><?php
		}
		
		the_content();
		
		wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'aberdeen' ),
				'after'  => '</div>',
			) );
		?></div><!-- .entry-content -->
	<footer class="entry-footer">
		<?php aberdeen_entry_footer();
		// Displays related posts if YARPP plugin is installed
		if (in_array( 'yet-another-related-posts-plugin/yarpp.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ){
			related_posts();
		}
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->

