<?php
/*
* Displays the links to social media profiles in the site header
*
* @package Aberdeen
*
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 

global $theme_options;

?>
<div class="header-si social-icons">
	<?php if( !empty( $theme_options['sml-amazon'] ) ) : ?>
	<span><a title="Amazon" href="<?php echo esc_url($theme_options['sml-amazon']); ?>"<i class="fa fa-amazon fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-apple-store'] ) ) : ?>
	<span><a title="Apple" href="<?php echo esc_url($theme_options['sml-apple-store']); ?>"<i class="fa fa-apple fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-facebook'] ) ) : ?>
	<span><a title="Facebook" href="<?php echo esc_url($theme_options['sml-facebook']); ?>"<i class="fa fa-facebook fa-2x"></i></a></span>
	<?php endif;

	if( !empty( $theme_options['sml-flickr'] ) ) : ?>
	<span><a title="Flickr" href="https://www.flickr.com/photos/<?php echo $theme_options['sml-flickr']; ?>/"<i class="fa fa-flickr fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-github'] ) ) : ?>
	<span><a title="Github" href="https://github.com/<?php echo $theme_options['sml-github']; ?>"<i class="fa fa-github fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-google-play'] ) ) : ?>
	<span><a title="Google Play" href="<?php echo esc_url($theme_options['sml-google-plus']); ?>"<i class="fa fa-android fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-google-plus'] ) ) : ?>
	<span><a title="Google+" href="<?php echo esc_url($theme_options['sml-google-plus']); ?>"<i class="fa fa-google-plus fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-instagram'] ) ) : ?>
	<span><a title="Instagram" href="https://instagram.com/<?php echo $theme_options['sml-instagram']; ?>/"<i class="fa fa-instagram fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-lastfm'] ) ) : ?>
	<span><a title="Last.fm" href="http://www.last.fm/user/<?php echo $theme_options['sml-lastfm']; ?>"<i class="fa fa-lastfm fa-2x"></i></a></span>
	<?php endif;

	if( !empty( $theme_options['sml-linkedin'] ) ) : ?>
	<span><a title="LinkedIn" href="<?php echo esc_url($theme_options['sml-linkedin']); ?>"<i class="fa fa-linkedin fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-paypal'] ) ) : ?>
	<span><a title="PayPal" href="<?php echo esc_url($theme_options['sml-paypal']); ?>"<i class="fa fa-paypal fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-pinterest'] ) ) : ?>
	<span><a title="Pinterest" href="https://www.pinterest.com/<?php echo $theme_options['sml-pinterest']; ?>"<i class="fa fa-pinterest fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-reddit'] ) ) : ?>
	<span><a title="Reddit" href="<?php echo esc_url($theme_options['sml-reddit']); ?>"<i class="fa fa-reddit-alien fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-tumblr'] ) ) : ?>
	<span><a title="tumblr" href="http://<?php echo $theme_options['sml-tumblr']; ?>.tumblr.com"<i class="fa fa-tumblr fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-twitter'] ) ) : ?>
	<span><a title="Twitter" href="https://twitter.com/<?php echo $theme_options['sml-twitter']; ?>"<i class="fa fa-twitter fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-vine'] ) ) : ?>
	<span><a title="Vine" href="https://vine.co/<?php echo $theme_options['sml-vine']; ?>"<i class="fa fa-vine fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-vimeo'] ) ) : ?>
	<span><a title="Vimeo" href="https://vimeo.com/<?php echo $theme_options['sml-vimeo']; ?>"<i class="fa fa-vimeo fa-2x"></i></a></span>
	<?php endif;

	if( !empty( $theme_options['sml-youtube'] ) ) : ?>
	<span><a title="YouTube" href="https://www.youtube.com/user/<?php echo $theme_options['sml-youtube']; ?>"<i class="fa fa-youtube fa-2x"></i></a></span>
	<?php endif;
	
	if( !empty( $theme_options['sml-rss'] ) ) : ?>
	<span><a title="RSS" href="<?php echo esc_url($theme_options['sml-rss']); ?>"<i class="fa fa-rss fa-2x"></i></a></span>
	<?php endif; ?>
</div>