<?php
/*
* Custom post/page sharing options
* 
* @package Aberdeen
*
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
global $theme_options;

$postid = get_the_id();  // Gets post id
$posturl = get_the_permalink(); // Gets post link
?>
<div class="sharing-si social-icons">
	<h4>Share this:</h4>
	<?php if ( $theme_options['facebook-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>&amp;t=<?php the_title(); ?>" alt="Share on Facebook" title="Share on Facebook" rel="nofollow"><i class="fa fa-facebook fa-2x"></i></a></span>
		<span id="facebook_count"><?php
		echo get_facebook_shares($postid, $posturl);
		?></span>
		</div>
	<?php endif;
	if ( $theme_options['google-plus-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" alt="Share on Google Plus" title="Share on Google+" rel="nofollow"><i class="fa fa-google-plus fa-2x"></i></a></span>
		<span id="google_plus_count"><?php
		echo get_google_plus_shares($postid, $posturl);
		?>
		</span>
		</div>
	<?php endif;
	if ( $theme_options['linkedin-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" alt="Share on LinkedIn" title="Share on LinkedIn" rel="nofollow"><i class="fa fa-linkedin fa-2x"></i></a></span>
		<span id="linkedin_count"><?php
		echo get_linkedin_shares($postid, $posturl);
		?></span>
		</div>
	<?php endif;
	if ( $theme_options['pocket-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="https://getpocket.com/save?url=<?php the_permalink(); ?>%&title=<?php the_title(); ?>" alt="Share on Pocket" title="Share on Pocket" rel="nofollow"><i class="fa fa-get-pocket fa-2x"></i></a></span>
		<span id="pocket_count"></span>
		</div>
	<?php endif;
	if ( $theme_options['reddit-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="https://www.reddit.com/submit?url=<?php the_permalink(); ?>&title=<?php the_title(); ?>" alt="Share on reddit" title="Share on reddit" rel="nofollow"><i class="fa fa-reddit-alien fa-2x"></i></a></span>
		<span id="reddit_count"><?php
		echo get_reddit_shares($postid, $posturl);
		?></span>
		</div>
	<?php endif;
	if ( $theme_options['tumblr-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="http://www.tumblr.com/share/link?url=<?php the_permalink(); ?>%2F&name=<?php the_title(); ?>" alt="Share on tumblr" title="Share on tumblr" rel="nofollow"><i class="fa fa-tumblr fa-2x"></i></a></span>
		<span id="tumblr_count"><?php
		echo get_tumblr_shares($postid, $posturl);
		?></span>
		</div>
	<?php endif;
	if ( $theme_options['twitter-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="https://twitter.com/intent/tweet?text=<?php the_title(); ?>%20%2D%20<?php the_permalink(); ?>" alt="Share on Twitter" title="Share on Twitter" rel="nofollow"><i class="fa fa-twitter fa-2x"></i></a></span>
		<span id="twitter_count"><?php
		echo get_twitter_shares($postid, $posturl);
		?></span>
		</div>
	<?php endif;
	if ( $theme_options['email-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="mailto:?subject=<?php the_title(); ?>&amp;body=<?php the_permalink(); ?>" alt="Share by e-mail" title="Share by e-mail"><i class="fa fa-envelope fa-2x"></i></a></span>
		</div>
	<?php endif;
	if ( $theme_options['print-sharing'] == true ): ?>
		<div class="share-channel">
		<span><a href="#" onclick="window.print();return false;" alt="Print this page" title="Print this Page"><i class="fa fa-print fa-2x"></i></a></span>
		</div>
    <?php endif; ?>
</div>